<bugID>585475<Summary>Relocate updating to "About Mozilla" window</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/534.5 (KHTML, like Gecko) Chrome/6.0.487.0 Safari/534.5
Build Identifier: Mozilla/5.0 (Windows NT 6.1; rv:2.0b4pre) Gecko/20100807 Minefield/4.0b4pre

According to the latest Firefox Button mockups, updating should be moved to the About Mozilla window, much like Chrome.

Reproducible: Always</Description></bugID>